ENTRY(_start)
OUTPUT_FORMAT(elf32-littlearm)
OUTPUT_ARCH(arm)
STARTUP(init.o)

MEMORY
{
    SRAM : ORIGIN = 0x22008000, LENGTH = 0x00008000
}

SECTIONS
{
    .text :
    {
        *(.text*)
        *(.glue_7)
        *(.glue_7t)
        . = ALIGN(0x4);
        *(.rodata*)
        . = ALIGN(0x4);
        *(.data*)
        . = ALIGN(0x4);
    } > SRAM

    .bss (NOLOAD) :
    {
        _bssstart = .;
        *(.bss*)
        *(COMMON)
        . = ALIGN(0x4);
        _bssend = .;
    } > SRAM

    /DISCARD/ :
    {
        *(.eh_frame)
    }

}
